//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Grids.hpp>
#include <ValEdit.hpp>
#include <Buttons.hpp>
#include <Chart.hpp>
#include <Series.hpp>
#include <TeeFunci.hpp>
#include <TeEngine.hpp>
#include <TeeProcs.hpp>
#include <ComCtrls.hpp>
#include <Menus.hpp>
#include <Dialogs.hpp>

#include "SHDocVw_OCX.h"
#include <OleCtrls.hpp>
#include <ActnList.hpp>
#include <string>
//---------------------------------------------------------------------------



class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TPageControl *PageControl1;
        TTabSheet *Trasa;
        TTabSheet *Protokol;
        TStringGrid *grid;
        TChart *Chart2;
        TChart *Chart3;
        TLineSeries *Series3;
        TMainMenu *MainMenu;
        TMenuItem *soubor;
        TOpenDialog *OpenDialog;
        TSaveDialog *SaveDialog;
        TMenuItem *nova_trasa;
        TMenuItem *otevrit;
        TMenuItem *ulozit;
        TMenuItem *Konec1;
        TMenuItem *about;
        TSpeedButton *sbutton_open;
        TSpeedButton *sbutton_save;
        TSpeedButton *sbutton_new;
        TButton *button_zpet;
        TButton *button_pridej;
        TButton *button_vytvor;
        TRichEdit *richedit;
        TCppWebBrowser *web;
        TChart *Chart1;
        TLineSeries *Series1;
        TLineSeries *Series4;
        TButton *button_zobraz;
        TMenuItem *novy_protokol;
        TGroupBox *GroupBox1;
        TLabeledEdit *edit_sirka;
        TLabeledEdit *edit_vyska;
        TRadioButton *radio_bmp;
        TRadioButton *radio_wmf;
        TLineSeries *Series2;
        TLabel *Label1;
        TGroupBox *GroupBox2;
        TLabel *label_help;
        TLabel *Label2;
        TButton *button_zaver;
        TLineSeries *Series5;
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall button_zpetClick(TObject *Sender);
        void __fastcall otevritClick(TObject *Sender);
        void __fastcall ulozitClick(TObject *Sender);
        void __fastcall Konec1Click(TObject *Sender);
        void __fastcall sbutton_openClick(TObject *Sender);
        void __fastcall sbutton_saveClick(TObject *Sender);
        void __fastcall sbutton_newClick(TObject *Sender);
        void __fastcall FormShow(TObject *Sender);
        void __fastcall Chart2DblClick(TObject *Sender);
        void __fastcall Chart3DblClick(TObject *Sender);
        void __fastcall Chart1DblClick(TObject *Sender);
        void __fastcall button_pridejClick(TObject *Sender);
        void __fastcall gridDrawCell(TObject *Sender, int ACol, int ARow,
          TRect &Rect, TGridDrawState State);
        void __fastcall button_vytvorClick(TObject *Sender);
        void __fastcall button_zobrazClick(TObject *Sender);
        void __fastcall novy_protokolClick(TObject *Sender);
        void __fastcall nova_trasaClick(TObject *Sender);
        void __fastcall Action1Execute(TObject *Sender);
        void __fastcall Action2Execute(TObject *Sender);
        void __fastcall Action3Execute(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall aboutClick(TObject *Sender);
        void __fastcall button_zaverClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
	
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------



#endif
